    .title  "Example Minimum Program"
; Example of a minimum Assembly Program for the DSP93
; Bob Stricklin N5BRG
; 1/3/94
;

#include "PORTS.INC"
#include "MONITOR.INC"
#include "REGS.INC"


.ORG     1000h

    B         TINT      ;  Timer interrupt service routine
    B         RINT      ;  SIO receive interrupt service routine
    B         XINT      ;  SIO transmit interrupt service routine
    B         TRAP      ; Software trap interrupt service routine



INIT
    LDPK    8h        	; point to data page eight (8)
    LARP    AR0     	; Establish a pointer to a AR register.
    LRLK    AR0,2000h 	; Set up a known memory area in pointer

      

MAINLOOP

; Your main Program body goes here.
    RPTK      S_END-STR1
    BLKP      STR1,*+
    LRLK      AR0,2000h
    CALL      SD_STR
    CALL      SD_CRLF
    B  S_END

; ---------------------------------------------------------------------
; ---------------------------------------------------------------------
STR1      .TEXT     " E x a m p l e   P r o g r a m"
          .WORD     00
S_END

TINT
; Your program code goes here.
    RET

RINT
; Your program code goes here.
     RET

XINT
; Your program code goes here.
    RET

TRAP
; Your program code goes here.
   RET   

S_END

    .END              ; end of program
